asymmetric cryptography operations (ECDSA) with Linux imx-5.10.35-2.0.0

cancel
Showing results for 
Search instead for 
Did you mean: 

asymmetric cryptography operations (ECDSA) with Linux imx-5.10.35-2.0.0

125 Views
matteo-facchinetti
Contributor II

Hi,

In Linux, I need to use openssl + cryptodev module to use for asymmetric cryptography operations (ECDSA) with the iMX8QM CAAM module.

For the old kernel version, I have used the AN12838 as example and I would like to use a similar way also for 5.10 but I don't find the relatad kernel module patch.

What's the status of the ECDSA support in the current kernel version?
This patch, for the Linux 5.4, can be used for production, or is a simple example.... Why is not integrated in the BSP?

0 Kudos
2 Replies

80 Views
Yuri
NXP TechSupport
NXP TechSupport

@matteo-facchinetti 
Hello,

    We'll update the BSP security chapter guide for the next BSP.

Regards,
Yuri.

0 Kudos

110 Views
Yuri
NXP TechSupport
NXP TechSupport

@matteo-facchinetti 
Hello,

  I've sent You some comments directly.

Regards,
Yuri.

0 Kudos